Index: code/branches/ogre1.9/data/gui/layouts/SettingsMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/SettingsMenu.layout	(revision 11211)
@@ -1,63 +1,62 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SettingsMenu/Background" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/SettingsMenu/SettingsWindow" >
-            <Property Name="Text" Value="Settings" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/GameplayButton" >
-                <Property Name="Text" Value="Gameplay" />
-                <Property Name="Disabled" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.181818,0},{0.45,0},{0.363636,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsGameplayButton_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="MenuWidgets/StaticImage">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="FrameEnabled" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="SettingsWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Settings" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
+            <Window name="GameplayButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Gameplay" />
+                <Property name="Disabled" value="True" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.181818,0},{0.45,0},{0.363636,0}}" />
+                <Event function="SettingsMenu.SettingsGameplayButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/MultiplayerOptionsButton" >
-                <Property Name="Text" Value="Multiplayer options" />
-                <Property Name="Disabled" Value="True" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.454545,0},{0.45,0},{0.636363,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsMultiplayerOptionsButton_clicked"/>
+            <Window name="MultiplayerOptionsButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Multiplayer options" />
+                <Property name="Disabled" value="True" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.454545,0},{0.45,0},{0.636363,0}}" />
+                <Event function="SettingsMenu.SettingsMultiplayerOptionsButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/ControlsButton" >
-                <Property Name="Text" Value="Controls" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.727272,0},{0.45,0},{0.909090,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsControlsButton_clicked"/>
+            <Window name="ControlsButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Controls" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.727272,0},{0.45,0},{0.909090,0}}" />
+                <Event function="SettingsMenu.SettingsControlsButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/GraphicsButton" >
-                <Property Name="Text" Value="Graphics" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.181818,0},{0.95,0},{0.363636,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsGraphicsButton_clicked"/>
+            <Window name="GraphicsButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Graphics" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.55,0},{0.181818,0},{0.95,0},{0.363636,0}}" />
+                <Event function="SettingsMenu.SettingsGraphicsButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/AudioButton" >
-                <Property Name="Text" Value="Audio" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.454545,0},{0.95,0},{0.636363,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsAudioButton_clicked"/>
+            <Window name="AudioButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Audio" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.55,0},{0.454545,0},{0.95,0},{0.636363,0}}" />
+                <Event function="SettingsMenu.SettingsAudioButton_clicked" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/MiscellaneousButton" >
-                <Property Name="Text" Value="Miscellaneous" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.727272,0},{0.95,0},{0.909090,0}}" />
-                <Event Name="Clicked" Function="SettingsMenu.SettingsMiscellaneousButton_clicked"/>
+            <Window name="MiscellaneousButton" type="MenuWidgets/Button">
+                <Property name="Text" value="Miscellaneous" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.55,0},{0.727272,0},{0.95,0},{0.909090,0}}" />
+                <Event function="SettingsMenu.SettingsMiscellaneousButton_clicked" name="Clicked" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsMenu/SettingsBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="SettingsMenu.SettingsBackButton_clicked"/>
+        <Window name="SettingsBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="SettingsMenu.SettingsBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
